<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	// load core files
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	// check if settings already exists and if so, load it, otherwise set parameters to default values
	if(file_exists("settings.php")){
		include("settings.php");
	}

	if(!isset($qualityProvince)){
		$qualityProvince = "on";
	}
	
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php");?>
		</div>
		<div id="main" style="text-align:center">
			<h1>Air Quality Canada - Setup</h1>
			<form method="POST" action="saveSettings.php" target="_blank">
				<table style="width:98%;margin:0 auto">
					<tr>
						<td style="text-align:left;width:300px">
							Province
						</td>
						<td style="text-align:left">
							<select name="qualityProvince" class="button2">
								<option value="ab" <?php if($qualityProvince=="ab"){echo "selected";}?>>AB</option>
								<option value="bc" <?php if($qualityProvince=="bc"){echo "selected";}?>>BC</option>
								<option value="mb" <?php if($qualityProvince=="mb"){echo "selected";}?>>MB</option>
								<option value="nb" <?php if($qualityProvince=="nb"){echo "selected";}?>>NB</option>
								<option value="nl" <?php if($qualityProvince=="nl"){echo "selected";}?>>NL</option>
								<option value="ns" <?php if($qualityProvince=="ns"){echo "selected";}?>>NS</option>
								<option value="nt" <?php if($qualityProvince=="nt"){echo "selected";}?>>NT</option>
								<option value="on" <?php if($qualityProvince=="on"){echo "selected";}?>>ON</option>
								<option value="pe" <?php if($qualityProvince=="pe"){echo "selected";}?>>PE</option>
								<option value="qc" <?php if($qualityProvince=="qc"){echo "selected";}?>>QC</option>
								<option value="sk" <?php if($qualityProvince=="sk"){echo "selected";}?>>SK</option>
								<option value="yt" <?php if($qualityProvince=="yt"){echo "selected";}?>>YT</option>
							</select>
						</td>
					</tr>
				</table>
				<div style="width:50%;text-align:center;margin:0 auto">
					<input type="submit" value="Save" class="button2">
				</div>
			</form>
		</div>
		<?php include($baseURL."footer.php");?>
	</body>
</html>